summaryrefslogtreecommitdiffstats
path: root/fuel
diff options
context:
space:
mode:
authorSzilard Cserey <szilard.cserey@ericsson.com>2015-06-22 17:37:50 +0200
committerSzilard Cserey <szilard.cserey@ericsson.com>2015-06-23 13:35:18 +0200
commit49bba276a8e260d5008824757b6e53860c2c5e34 (patch)
treefe8f23377e7c939365cd3795120e9d23e0392227 /fuel
parent94432fbbc63e726f22c7c346307745418b7ea8ce (diff)
Fetching exit code from deploy.py in deploy.sh
JIRA: [BGS-2] Create Fuel deployment script Change-Id: I9b4f7f27fc8ad271fc9bb37f4cb1910af5068a73 Signed-off-by: Szilard Cserey <szilard.cserey@ericsson.com>
Diffstat (limited to 'fuel')
-rwxr-xr-xfuel/ci/deploy.sh5
1 files changed, 2 insertions, 3 deletions
diff --git a/fuel/ci/deploy.sh b/fuel/ci/deploy.sh
index 5923f5c..d5b70d0 100755
--- a/fuel/ci/deploy.sh
+++ b/fuel/ci/deploy.sh
@@ -1,9 +1,8 @@
#!/bin/bash
+set -o errexit
topdir=$(dirname $(readlink -f $BASH_SOURCE))
deploydir=$(cd ${topdir}/../deploy; pwd)
-
pushd ${deploydir} > /dev/null
echo -e "python deploy.py $@\n"
python deploy.py $@
-popd > /dev/null
-
+popd > /dev/null \ No newline at end of file